# Create a realtime transfer

**POST** `/transfers/realtime`

Create a realtime transfer between a Column account and a counterparty.

### Body Parameters

- `account_number_id` `string` — Source account number ID
- `allow_overdraft` `boolean` — Whether overdraft is allowed
- `amount` `number` _(required)_ — Transfer amount in smallest unit
- `bank_account_id` `string` — Source bank account ID
- `counterparty_id` `string` — Counterparty ID
- `currency_code` `enum` _(required)_ — ISO 4217 currency code
  Possible values: `USD`
- `description` `string` — Free-form transfer description
- `end_to_end_id` `string` — End-to-end identifier
- `ultimate_debtor_counterparty` `object` — Inline ultimate debtor counterparty details
  - `account_number` `string` _(required)_ — The account number for the bank account.
  - `account_type` `string` _(required)_ — The type of the account number. Can be `checking` or `savings`.
  - `address` `object` _(required)_ — Addresses need to adhere to character validation, as addresses are used across multiple payment rails. Characters are validated according to the [Fedwire character validation](/wire#valid-characters-permitted).
    - `city` `string` _(required)_ — City name
    - `country_code` `string` _(required)_ — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
    - `line_1` `string` _(required)_ — Street address line 1
    - `line_2` `string` — Street address line 2
    - `postal_code` `string` — Postal or ZIP code
    - `state` `string` — State or province
  - `description` `string` _(required)_ — Description of the counterparty visible only in your platform. Maximum length: `127` characters.
  - `email` `string` _(required)_ — The email address of the beneficiary.
  - `legal_id` `string` _(required)_ — The legal ID (e.g., Tax ID, Cedula Juridica, etc.) of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: `127` characters.
  - `legal_type` `string` _(required)_ — The legal entity type of the beneficiary. Can be `business`, `non_profit`, `individual`, or `sole_proprietor`. This field is recommended for international wire transfers, and required in some countries.
  - `local_account_number` `string` _(required)_ — The local account number (e.g. Cuenta Cliente in Costa Rica) in the beneficiary's bank. This field is recommended for international wire transfers, and required in some countries. Maximum length: 63 characters.
  - `local_bank_code` `string` _(required)_ — The local bank code of the beneficiary's bank (e.g., India IFSC, Australia BSB, China CNAPS, etc.). This field is recommended for international wire transfers, and required in some countries. Maximum length: `63` characters.
  - `local_bank_country_code` `string` _(required)_ — The ISO 3166-1 alpha-2 country code of the beneficiary's local bank.
  - `local_bank_name` `string` _(required)_ — Name of the beneficiary's local bank.
  - `name` `string` _(required)_ — The counterparty name who owns the bank account. There is a `127` character limit for this field. For domestic wires, only the first 35 characters are included in the wire message.
  - `phone` `string` _(required)_ — The phone number of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: `31` characters.
  - `routing_number` `string` _(required)_ — The routing number of the bank.
  - `routing_number_type` `string` _(required)_ — The type of the routing number. Can be `aba`, `bic`, or `other`.
  - `wire` `object` _(required)_ — Wire-specific details for this counterparty, including beneficiary information and local bank details.
    - `beneficiary_address` `object` _(required)_ — The address of the wire beneficiary.
      - `city` `string` _(required)_ — City name
      - `country_code` `string` _(required)_ — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
      - `line_1` `string` _(required)_ — Street address line 1
      - `line_2` `string` — Street address line 2
      - `postal_code` `string` — Postal or ZIP code
      - `state` `string` — State or province
    - `beneficiary_email` `string` _(required)_ — The email address of the wire beneficiary.
    - `beneficiary_legal_id` `string` _(required)_ — The legal identification number of the wire beneficiary (e.g. EIN or SSN).
    - `beneficiary_name` `string` _(required)_ — The name of the wire beneficiary.
    - `beneficiary_phone` `string` _(required)_ — The phone number of the wire beneficiary.
    - `beneficiary_type` `string` _(required)_ — The type of the wire beneficiary. Possible values: `individual`, `business`
    - `local_account_number` `string` _(required)_ — The local account number at the beneficiary's bank (used for international counterparties).
    - `local_bank_code` `string` _(required)_ — The local bank code of the beneficiary's bank (used for international counterparties).
  - `wire_drawdown_allowed` `boolean` _(required)_ — Whitelists counterparties for automatic approval of drawdown requests to Column via Fedwire. If `false`, all inbound drawdown requests from this counterparty will require explicit approval.
- `ultimate_debtor_counterparty_id` `string` — Ultimate debtor counterparty ID

**Request**

```shell
curl 'https://api.column.com/transfers/realtime' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d description="Example realtime transfer" \
  -d amount=10000 \
  -d currency_code="USD" \
  -d bank_account_id="<bank_account_id>" \
  -d counterparty_id="<counterparty_id>"
```

**Response 200**

```json
{
  "accepted_at": "2023-12-29T19:45:11Z",
  "account_number_id": "acno_2XrFelm5efqwGkPsu3B1DtSEDDg",
  "allow_overdraft": false,
  "amount": 10000,
  "bank_account_id": "bacc_2XrFelZxSUOXXTswfr0h9KByzNp",
  "blocked_at": null,
  "completed_at": "2023-12-29T19:45:13Z",
  "counterparty_id": "cpty_2aELmewqaBj5Bp6oraJ7Pl6LH1p",
  "ultimate_debtor_counterparty_id": null,
  "currency_code": "USD",
  "description": "Example realtime transfer",
  "id": "rttr_2aEM6RbzozxcvVY11ArHJw1Ka4E",
  "idempotency_key": null,
  "initiated_at": "2023-12-29T19:45:10Z",
  "is_incoming": false,
  "is_on_us": false,
  "manual_review_approved_at": null,
  "manual_review_at": null,
  "manual_review_rejected_at": null,
  "pending_at": null,
  "rejected_at": null,
  "rejection_code": null,
  "rejection_code_description": null,
  "rejection_additional_info": null,
  "status": "completed",
  "return_pair_transfer_id": "rttr_2ipl7TLOLY0Kyv5flfi2NHAIqJm"
}
```
